#ifndef INC_LexTokenStream_hpp__
#define INC_LexTokenStream_hpp__

#include <cstdio>
#include "antlr/TokenStream.hpp"

class LexTokenStream : public TokenStream {
public:
	LexTokenStream(std::FILE* fp);
	void newLine();
	RefToken nextToken();
private:
	int line;
	bool reachedEOF;
};

#endif //INC_LexTokenStream_hpp__
