/*
 * Copyright (C) 1990-99 DMS Decision Management Systems Ges.m.b.H.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 * $Id: CInitializerContext.java,v 1.2 2002/03/08 21:54:16 mrobilla Exp $
 */

package at.dms.kjc;

import at.dms.compiler.UnpositionedError;

/**
 * This class represents a method context during check
 * @see CCompilationUnitContext
 * @see CClassContext
 * @see CMethodContext
 * @see CContext
 */
public class CInitializerContext extends CMethodContext {

  // ----------------------------------------------------------------------
  // CONSTRUCTORS
  // ----------------------------------------------------------------------

  /**
   * CInitializerContext
   * @param	parent		the parent context
   * @param	self		the corresponding method interface
   */
  public CInitializerContext(CClassContext parent, CMethod self) {
    super(parent, self);
  }

  /**
   * Verify that all checked exceptions are defined in the throw list
   * @exception	UnpositionedError	this error will be positioned soon
   */
  public void close() throws UnpositionedError {
/* !!! MOVE SOMEWHERE ELSE
    check(bodyContext.isReachable(),
	  "initializer-return", self.getIdent());

    if (self.isStatic()) {
      check(bodyContext.getThrowables() != null,
	    "static-initializer-throwable", self.getIdent());
    } else {
      self.setThrowables(bodyContext.getThrowables());
    }
*/
  }
}
